Bug 8779 - fr-latin9 : Usage de la touche ² (Use of the key ²)
Summary: fr-latin9 : Usage de la touche ² (Use of the key ²)
Status: RESOLVED FIXED
Alias: None
Product: xkeyboard-config
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium enhancement
Assignee: xkb
QA Contact:
URL:
Whiteboard:
Keywords: l10n
Depends on: 8853
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-26 08:46 UTC by Christophe Démaret
Modified: 2006-11-03 04:02 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christophe Démaret 2006-10-26 08:46:27 UTC
I think that the last version of the fr-latin9 keymap use the ² a very
unefficient way.

We have a level 1 access ( symbol that is accessible without shift or alt,
*very* precious) and we use it for "ø", a letter only used in Danish, Faroese
and Norwegian (Thank you Wikipedia) so that 98% of the french-speaking people
will never use it at all.

The best option IMHO would be to put œ/Œ back there as it was originally, since
this ligature is very common in French. ô would take its place on the O key
(this would be coherent with I and U) and ø could be under the P, which is
probably an appropriate place.

Another option (since Nicolas Mailhot said that a lot of people had requested
the change for œ/Œ) would be to put accents/diacritics there since we already
have the cedilla and the grave accent on the key and some other diacritics on
the keys 1 and 2, which are very close. It would be possible to put ø on the
level 3/4 of the ^/¨ key (next to P) and to rearrange the accents. The cute
accent or the grave accents for instance may deserve a level 1 position.
Comment 1 Sergey V. Udaltsov 2006-10-26 14:28:58 UTC
Denis, what do you think about it? Actually I would love to hear Nicolas's voice
as well...
Comment 2 Christophe Démaret 2006-10-28 05:10:04 UTC
About Nicolas, he's the one who told me to open a new bug.
He said (this is an e-mail he sent to me as an answer to a request about this
key, I hope he won't mind):
« La touche ² ne sert strictement à rien dans la vraie vie, ce que les
discussions sur la proposition ont confirmé (les seuls utilisateurs étant les
quakeurs, et encore pas pour le symbole ² mais pour cette touche physique
particulière). On ne va pas conditionner une disposition qui se veut pérenne à
un jeu actuel, les places sont trop chères pour bloquer une touche avec un
symbole inutile en premier niveau.
Le déplacement du oe/OE sur o était une demande forte de la part des relecteurs.
Si néanmoins suffisamment de personnes me demandent de le remettre en ² comme en
latin-9, j'ajouterais sans doute une option qui les permutte. Je t'invite donc à
ouvrir et m'assigner un bogue dans le bugzilla xkeyboard-config. Si suffisamment
de personnes postent ensuite des commentaires dedans confirmant la demande,
j'ajouterais l'option de permutation. »
In english:
- The "²" key is far too precious to be used for the "²" character (something I
(Christophe) agree on)
- Many people asked for oe to me moved under O so I did it
- If you feel like it's not fine, open a bug on bugzilla and if enough people
comment it to ask the same, i will add a variant

And that's what I did.

By the way I see that he asked me to assign the bug but to him, something I did
not so I will correct it right now. 
Comment 3 Sergey V. Udaltsov 2006-10-28 05:20:00 UTC
Ok, so far it makes sense. So what we need it more voices supporting the idea of
new variant, don't we?;)
Comment 4 Denis Barbier 2006-10-28 06:20:07 UTC
> Denis, what do you think about it? Actually I would love to
> hear Nicolas's voice as well...

Nicolas tried many combinations to find a consistent layout.
As long as he is responsive, I will not interfere with his
work, he knows better than me what he wants to achieve
exactly.
Comment 5 Denis Barbier 2006-10-28 06:24:44 UTC
Sergey, please check the bug page, my previous comment was not
sent to the XKB mailing list because this bug had been reassigned
to Nicolas.
Comment 6 Sergey V. Udaltsov 2006-10-28 08:41:42 UTC
Ok, thank, Denis, I see.

So what I think would be the best thing to do is to ask Nicolas whether he
finally prefers patching existing variant - or just creating new one with small
set of overrides.
Comment 7 Nicolas Mailhot 2006-11-01 08:09:58 UTC
Since I've been asked to do a variant for Belgium, and Belgium serigraphy
insists even more then the French one on putting useless symbols on this key,
I'll fold this change with the others

It's a real waste of space though
Comment 8 Nicolas Mailhot 2006-11-01 08:11:51 UTC
(BTW this is the only bugzilla I've never received any mail from, and I have a
ton of other bugzilla accounts)
Comment 9 Nicolas Mailhot 2006-11-03 04:02:37 UTC
Fixed in bug #8853


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.